{Version 1.02 13/7/98}
unit Jreknbex;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Jreknob;

type
  TJREKnobEx = class(TJREKnob)
  public
    constructor Create(AOwner: TComponent); override;
  published
    property Width default 89;
    property Height default 121;
    property Color;
    property ParentColor;
    property Font;
    property ParentFont;
    property ShowHint;
    property ParentShowHint;
    property BevelInner;
    property BevelOuter default bvRaised;
    property BevelWidth;
    property BorderStyle;
    property BorderWidth;
    property Visible;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TJREKnobEx]);
end;

constructor TJREKnobEx.Create(AOwner: TComponent);
begin
  try
    inherited Create(AOwner);
    Width := 89;
    Height := 121;
    BevelOuter := bvRaised;
  except
    MessageBox(0, 'Unable to create knob: closing down program',
               'JREKnobEx.Create function', mb_OK);
    Application.Terminate;
  end;
end;

end.
